package com.handong.smartservice.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface VocMapper {
    Map<String, Object> selectDetailVoc(String voc_id);

    List<Map<String, Object>> selectVoc(Boolean isCount, Long offset, Long limit,
        String date_start, String date_end, String title, String content, String process);
    
    int insertVoc(String title, String content, Long gid);

    int updateVoc(Long biz_group_id, String title, String content);
    
    //int deleteVoc(List<Long> ids);
    int changeStateVoc(List<Long> ids, int state);
}
